<!DOCTYPE html>
<html>

<head>

    <style>
    .table-responsive {
        height: 180px;
        width: 50%;
        overflow-y: auto;
        border: 2px solid #444;
    }

    .table-responsive:hover {
        border-color: red;
    }

    table {
        width: 100%;
    }

    td {
        padding: 24px;
        background: #eee;
    }
    </style>
    <script>
    var $el = $(".table-responsive");

    function anim() {
        var st = $el.scrollTop();
        var sb = $el.prop("scrollHeight") - $el.innerHeight();
        $el.animate({
            scrollTop: st < sb / 2 ? sb : 0
        }, 4000, anim);
    }

    function stop() {
        $el.stop();
    }
    anim();
    $el.hover(stop, anim);
    </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
</head>

<body>